Subject: Re: bug#24206: 25.1; Curly quotes generate invalid strings, leading to a segfault

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Aug 2016 21:58:25 +0300

> Cc: [email-masked], [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Thu, 18 Aug 2016 11:33:36 -0700
> 
> As I take it, your principal objection to the new code is not to its internals: 
> it's that substitute-command-keys can now return a multibyte string even when 
> all the input data is unibyte. I don't think that's a big deal, but if this is 
> the primary reason for our lengthy conversation, I can move things forward by 
> changing the code so that it instead returns a unibyte string when all the input 
> data are unibyte. Would that suffice?

No, that's not the primary reason.  The primary reason is that I think
we should avoid changing code that doesn't necessarily need any
changes.